<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users_tools_setup', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('tool_id');
            $table->text('tool_option_id');
            $table->integer('status')->default(0);
            $table->integer('isPassboltLink')->default(0);
            $table->string('PassboltLink')->default(0);
            $table->string('login')->default(0);
            $table->string('password')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users_tools_setup');
    }
};
